set echo on
drop table accounts purge
/
drop table accounts1 purge
/
create table accounts
nologging
as select * from all_objects
/
create table accounts1
nologging
as select * from accounts
/
update accounts1 set object_id = 100000+ object_id
/
insert /*+ append */ into accounts select * from accounts1
/
commit
/
update accounts1 set object_id = 100000+ object_id
/
insert /*+ append */ into accounts select * from accounts1
/
commit
/
update accounts
set status = 'VALID'
/
update accounts
set status = 'INVALID' where rownum < 2
/
commit
/
create index in_accounts_status on accounts(status)
/
create unique index pk_accounts on accounts (object_id)
/
alter table accounts add constraint pk_accounts primary key (object_id)
/
begin
	dbms_stats.gather_table_stats (
		ownname 		=> 'MYAPP',
		tabname			=> 'ACCOUNTS',
		estimate_percent	=> 100,
		method_opt		=> 'FOR ALL COLUMNS SIZE AUTO',
		cascade			=> true
	);
end;
/
